#!/usr/bin/python3
import RPi.GPIO as GPIO
import time as t
import datetime

# this many mm per bucket tip
CALIBRATION = 0.2794
# which GPIO pin the gauge is connected to
PIN = 25
# file to log rainfall data in
#LOGFILE = "log.csv"

year = datetime.datetime.now().year
m = datetime.datetime.now().month

if 1 <= m <=9:
    month = "0" + str(m)
else:
    month = str(m)



day = datetime.datetime.now().day
time = datetime.datetime.now().time()
#file_name = str(datetime.datetime.now().date()) + "-rain.txt"
#LOGFILE = "/var/gopher/wxlog/" + str(year) + "/" + month + "/" + file_name

GPIO.setmode(GPIO.BCM)  
GPIO.setup(PIN, GPIO.IN, pull_up_down=GPIO.PUD_UP)

# variable to keep track of how much rain
rain = 0

# the call back function for each bucket tip
def cb(channel):
    global rain
    rain = rain + CALIBRATION

# register the call back for pin interrupts
GPIO.add_event_detect(PIN, GPIO.FALLING, callback=cb, bouncetime=300)

# open the log file
#file = open(LOGFILE, "a")
def full_path():
    full = "/var/gopher/wxlog/" + str(year) + "/" + month + "/rain/" + str(datetime.datetime.now().date()) + "-rain.txt"
    return full


# display and log results
while True:
    line = str(datetime.datetime.now().time()) + " " + str(rain)
    file = open(full_path(), "a")
    file.write(line + "\n")
    file.flush()
    rain = 0
    t.sleep(60)

# close the log file and exit nicely
file.close()
GPIO.cleanup()
